Bug 524932 - seedit conflicts with selinux-policy-*
Summary: seedit conflicts with selinux-policy-*
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: seedit
Version: 13
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Yuichi Nakamura
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-22 18:52 UTC by Bruno Wolff III
Modified: 2011-06-27 14:24 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 14:24:26 UTC


Attachments (Terms of Use)

Description Bruno Wolff III 2009-09-22 18:52:03 UTC
Description of problem:
When I try to install seedit, yum reports a conflict.

Version-Release number of selected component (if applicable):
seedit.x86_64 0:2.2.0-7.fc12

How reproducible:
100%

Steps to Reproduce:
1.yum install seedit
2.
3.
  
Actual results:

[bruno@cerberus bruno]# yum install seedit
Loaded plugins: dellsysidplugin, dellsysidplugin2, keys, list-data, merge-conf,
              : priorities, protect-packages, protectbase, refresh-packagekit,
              : upgrade-helper, verify, versionlock
0 packages excluded due to repository protections
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package seedit.x86_64 0:2.2.0-7.fc12 set to be updated
--> Processing Conflict: selinux-policy-targeted-3.6.32-8.fc12.noarch conflicts seedit
--> Processing Conflict: selinux-policy-minimum-3.6.32-8.fc12.noarch conflicts seedit
--> Processing Conflict: selinux-policy-mls-3.6.32-8.fc12.noarch conflicts seedit
--> Finished Dependency Resolution
selinux-policy-targeted-3.6.32-8.fc12.noarch from installed has depsolving problems
  --> selinux-policy-targeted conflicts with seedit
selinux-policy-minimum-3.6.32-8.fc12.noarch from installed has depsolving problems
  --> selinux-policy-minimum conflicts with seedit
selinux-policy-mls-3.6.32-8.fc12.noarch from installed has depsolving problems
  --> selinux-policy-mls conflicts with seedit
--> Running transaction check
---> Package seedit.x86_64 0:2.2.0-7.fc12 set to be updated
--> Processing Conflict: selinux-policy-targeted-3.6.32-8.fc12.noarch conflicts seedit
--> Processing Conflict: selinux-policy-minimum-3.6.32-8.fc12.noarch conflicts seedit
--> Processing Conflict: selinux-policy-mls-3.6.32-8.fc12.noarch conflicts seedit
--> Finished Dependency Resolution
selinux-policy-targeted-3.6.32-8.fc12.noarch from installed has depsolving problems
  --> selinux-policy-targeted conflicts with seedit
selinux-policy-minimum-3.6.32-8.fc12.noarch from installed has depsolving problems
  --> selinux-policy-minimum conflicts with seedit
selinux-policy-mls-3.6.32-8.fc12.noarch from installed has depsolving problems
  --> selinux-policy-mls conflicts with seedit
Skip-broken could not solve problems
Error: selinux-policy-mls conflicts with seedit
Error: selinux-policy-targeted conflicts with seedit
Error: selinux-policy-minimum conflicts with seedit
 You could try running: package-cleanup --problems
                        package-cleanup --dupes
                        rpm -Va --nofiles --nodigest

Expected results:
Either seedit shouldn't be in the repo or it should install.

Additional info:

Comment 1 Bug Zapper 2009-11-16 12:46:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Jochen Schmitt 2010-01-07 20:35:56 UTC
Bug stell exist in the productive release of F-12.

Please try to clarify, why there is a conflict between seedit and selinux-policy.

If you caN't offer a resolution to solve this conflict please remove this package from the repository.

Comment 3 Adam Huffman 2010-01-25 11:57:05 UTC
Just encountered this problem today on an F-12 box:

--> Processing Conflict: selinux-policy-targeted-3.6.32-69.fc12.noarch conflicts seedit
--> Finished Dependency Resolution
selinux-policy-targeted-3.6.32-69.fc12.noarch from updates has depsolving problems
  --> selinux-policy-targeted conflicts with seedit
Error: selinux-policy-targeted conflicts with seedit

Comment 4 Thom Carlin 2010-09-02 13:45:23 UTC
And in FC13.  Changed version and priority.

Comment 5 Bug Zapper 2011-06-02 17:42:12 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2011-06-27 14:24:26 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.